package com.fos.modules.unfinishedTable.entity;

import java.util.Date;
import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseEntity;

public class UnfinishedTableOrderEntity extends BaseEntity{

	@JSONField(name = "nickName")
	private String nickName;

	@JSONField(name = "userName")
	private String userName;

	@JSONField(name = "waitTime")
	private long waitTime;

	@JSONField(name = "createTime")
	private Date createTime;

	@JSONField(name = "orderId")
	private int orderId;

	@JSONField(name = "orderStatus")
	private int orderStatus;

	@JSONField(name = "foods")
	private List<UnfinishedTableFoodEntity> foods;

	public long getWaitTime() {
		return waitTime;
	}

	public void setWaitTime(long waitTime) {
		this.waitTime = waitTime;
	}



	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public int getOrderStatus() {
		return orderStatus;
	}

	public void setOrderStatus(int orderStatus) {
		this.orderStatus = orderStatus;
	}

	public String getNickName() {
		return nickName;
	}

	public void setNickName(String nickName) {
		this.nickName = nickName;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}


	public int getOrderId() {
		return orderId;
	}

	public void setOrderId(int orderId) {
		this.orderId = orderId;
	}

	public List<UnfinishedTableFoodEntity> getFoods() {
		return foods;
	}

	public void setFoods(List<UnfinishedTableFoodEntity> foods) {
		this.foods = foods;
	}




}
